{{- if .Values.dataintegration.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "cmem.name-di" . }}-files
  labels:
    {{- include "cmem.labels-di" . | nindent 4 }}
data:
  dataintegration.conf: |
    {{ tpl (.Files.Get "configuration-files/dataintegration.conf") . | nindent 4 }}
  logback.xml: |
    {{ tpl (.Files.Get "configuration-files/dataintegration.logback.xml") . | nindent 4 }}
{{- if .Values.dataintegration.config.pythonPluginConf.enabled }}
  python-plugins.conf: |
    {{ tpl (.Files.Get "configuration-files/python-plugins.conf") . | nindent 4 }}
{{- end }}
{{- end }}
